Re: [BUG] [2.6.19-rc4-mm2] can't compile drivers/acpi/processor_idle.c

From: Andrew Morton <akpm_at_osdl.org>
Date: 2006-11-08 17:52:59
On Wed, 8 Nov 2006 15:01:41 +0900
KAMEZAWA Hiroyuki <kamezawa.hiroyu@jp.fujitsu.com> wrote:

> 
> While compiling 2.6.19-rc4-mm2 on ia64, I met this compile error.
> ==
>   CC [M]  drivers/acpi/processor_idle.o
> drivers/acpi/processor_idle.c:43:22: asm/apic.h: No such file or directory
> drivers/acpi/processor_idle.c: In function `acpi_processor_power_seq_show':
> drivers/acpi/processor_idle.c:1202: warning: long long unsigned int format, u64 arg (arg 5)
> ==
> 
> This is because of acpi-include-apic-h.patch, maybe.
> ia64 doesn't have asm/acpi.h

That got fixed (by ugly means).

> my .config is attached.

But rc5-mm1 remains broken with that .config:

arch/ia64/pci/pci.c: In function `pci_acpi_scan_root':
arch/ia64/pci/pci.c:354: warning: implicit declaration of function `pxm_to_node'
...
arch/ia64/pci/built-in.o(.text+0xe92): In function `pci_acpi_scan_root':
: undefined reference to `pxm_to_node'

This bug exists in mainline.




Also,

drivers/built-in.o(.text+0xd9a72): In function `e1000_xmit_frame':
: undefined reference to `csum_ipv6_magic'

I don't know how this got broken.  ia64 seems to be the only architecture
which doesn't have an implementation of csum_ipv6_magic().  This bug
appears to be introduced by git-netdev-all.patch.

-
To unsubscribe from this list: send the line "unsubscribe linux-ia64" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Received on Wed Nov 08 17:53:57 2006

This archive was generated by hypermail 2.1.8 : 2006-11-08 17:54:12 EST